describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/forparents')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/forparents')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Meals')
            .should('contain', 'Printable Activities')
            .should('contain', 'Encouraging Healthy Eating')
            .should('contain', 'Grow Your Own')
            .should('contain', 'Health Benefits')
        })
        it('meals link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/meals')
          })
          it('printable activities link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/activities')
          })
          it('tips link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/tipstricks')
          })
          it('gardening link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/gardening')
          })
          it('health link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/health')
          })
    })